NICE(3V)

NAME
nice - change nice value of a process

SYNOPSIS

int nice(incr)

DESCRIPTION

The nice value of the process is changed by incr. Positive nice values get less service than normal. See nice(1) for a discussion of the relationship of nice value and scheduling priority.

A nice value of 10 is recommended to users who wish to execute long-running programs without undue impact on system performance.

Negative increments are illegal, except when specified by the super-user. The nice value is limited to the range -20 (most urgent) to 19 (least). Requests for values above or below these limits result in the nice value being set to the corresponding limit.

The nice value of a process is passed to a child process by fork(2V). For a privileged process to return to normal nice value from an unknown state, nice() should be called successively with arguments -40 (goes to nice value -20 because of truncation), 20 (to get to 0), then 0 (to maintain compatibility with previous versions of this call).

SYSTEM V DESCRIPTION

The maximum allowed value for incr is 40 (least urgent).

RETURN VALUES

nice() returns:

0   on success.

-1  on failure and sets errno to indicate the error.

SYSTEM V RETURN VALUES

nice() returns the new nice value on success. On failure, it returns -1 and sets errno to indicate the error.

ERRORS
The nice value is not changed if:

EACCES
    The value of incr specified was negative, and the effective user ID is not super-user.

SYSTEM V ERRORS

The nice value is not changed if:

EPERM
    The value of incr specified was negative, or greater than 40, and the effective user ID is not super-user.

SEE ALSO
nice(1), fork(2V), getpriority(2), pstat(8), renice(8)